#
# spec file for package python-txWS
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-txWS
Version:        0.9.1
Release:        lp150.1.1
Summary:        Twisted WebSockets wrapper
License:        X11
Group:          Development/Languages/Python
Url:            http://github.com/MostAwesomeDude/txWS
Source:         https://files.pythonhosted.org/packages/source/t/txWS/txWS-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module vcversioner}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
txWS (Twisted WebSockets) is a library for
adding WebSockets server support to Twisted applications.

%prep
%setup -q -n txWS-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGELOG.rst LICENSE README.rst
%{python_sitelib}/*

%changelog
* Sat Feb 10 2018 jengelh@inai.de
- Trim filler wording from description.
* Wed Feb  7 2018 sebix+novell.com@sebix.at
- fix filename of changes file
* Tue Oct  3 2017 mardnh@gmx.de
- Initial package
